export default {

  CREATE: 'SERVER:PRODUCT_CREATE',
  CREATE_SUCCESS: 'PRODUCT_CREATE_SUCCESS',
  CREATE_FAILURE: 'PRODUCT_CREATE_FAILURE',

  GET: 'SERVER:PRODUCT_GET',
  GET_SUCCESS: 'PRODUCT_GET_SUCCESS',
  GET_FAILURE: 'PRODUCT_GET_FAILURE',

  REMOVE: 'SERVER:PRODUCT_REMOVE',
  REMOVE_SUCCESS: 'PRODUCT_REMOVE_SUCCESS',
  REMOVE_FAILURE: 'PRODUCT_REMOVE_FAILURE',

  GET_ID: 'SERVER:PRODUCT_GET_ID',
  GET_ID_SUCCESS: 'PRODUCT_GET_ID_SUCCESS',
  GET_ID_FAILURE: 'PRODUCT_GET_ID_FAILURE',

  UPDATE: 'SERVER:PRODUCT_UPDATE',
  UPDATE_SUCCESS: 'PRODUCT_UPDATE_SUCCESS',
  UPDATE_FAILURE: 'PRODUCT_UPDATE_FAILURE',

  SEARCH:         'SERVER:PRODUCT_SEARCH',
  SEARCH_SUCCESS: 'PRODUCT_SEARCH_SUCCESS',
  SEARCH_FAILURE: 'PRODUCT_SEARCH_FAILURE', 
  SET_SORT:       'SET_SORT',

  SEARCH_SELECT: 'PRODUCT_SEARCH_SELECT',
  SEARCH_SELECT_RESET: 'PRODUCT_SEARCH_SELECT_RESET',
  VALIDATION: 'PRODUCT_VALIDATION',

  SET_FILTER: 'PRODUCT_SET_FILTER',
  RESET_FILTER: 'PRODUCT_RESET_FILTER'
}